Bug 887350 - [abrt] evolution-source-registry crash on disk full
Summary: [abrt] evolution-source-registry crash on disk full
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution-data-server
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:7bc92b5897237abcfdd4dad53c5...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-14 17:53 UTC by Brian J. Murrell
Modified: 2014-02-05 13:54 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 13:54:02 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (49.37 KB, text/plain)
2012-12-14 17:53 UTC, Brian J. Murrell
no flags Details
File: build_ids (6.25 KB, text/plain)
2012-12-14 17:53 UTC, Brian J. Murrell
no flags Details
File: cgroup (128 bytes, text/plain)
2012-12-14 17:53 UTC, Brian J. Murrell
no flags Details
File: core_backtrace (4.03 KB, text/plain)
2012-12-14 17:53 UTC, Brian J. Murrell
no flags Details
File: dso_list (14.88 KB, text/plain)
2012-12-14 17:53 UTC, Brian J. Murrell
no flags Details
File: environ (1.08 KB, text/plain)
2012-12-14 17:53 UTC, Brian J. Murrell
no flags Details
File: limits (1.29 KB, text/plain)
2012-12-14 17:53 UTC, Brian J. Murrell
no flags Details
File: maps (68.59 KB, text/plain)
2012-12-14 17:53 UTC, Brian J. Murrell
no flags Details
File: open_fds (591 bytes, text/plain)
2012-12-14 17:53 UTC, Brian J. Murrell
no flags Details
File: proc_pid_status (934 bytes, text/plain)
2012-12-14 17:53 UTC, Brian J. Murrell
no flags Details
File: var_log_messages (355 bytes, text/plain)
2012-12-14 17:53 UTC, Brian J. Murrell
no flags Details

Description Brian J. Murrell 2012-12-14 17:53:05 UTC
Description of problem:
Just trying to start evolution

Version-Release number of selected component:
evolution-data-server-3.6.2-2.fc18

Additional info:
backtrace_rating: 4
cmdline:        /usr/libexec/evolution-source-registry
crash_function: magazine_chain_pop_head
executable:     /usr/libexec/evolution-source-registry
kernel:         3.6.9-4.fc18.x86_64
remote_result:  650311
uid:            1001
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 magazine_chain_pop_head at gslice.c:532
 #1 thread_memory_magazine1_alloc at gslice.c:835
 #2 g_slice_alloc at gslice.c:994
 #3 g_slist_prepend at gslist.c:265
 #4 pool_depth_list at gparam.c:1228
 #5 g_hash_table_foreach at ghash.c:1524
 #6 g_param_spec_pool_list at gparam.c:1290
 #7 g_object_class_list_properties at gobject.c:900
 #8 source_load_from_key_file at e-source.c:543
 #9 source_parse_dbus_data at e-source.c:633

Potential duplicate: bug 769523

Comment 1 Brian J. Murrell 2012-12-14 17:53:08 UTC
Created attachment 663714 [details]
File: backtrace

Comment 2 Brian J. Murrell 2012-12-14 17:53:10 UTC
Created attachment 663715 [details]
File: build_ids

Comment 3 Brian J. Murrell 2012-12-14 17:53:12 UTC
Created attachment 663716 [details]
File: cgroup

Comment 4 Brian J. Murrell 2012-12-14 17:53:14 UTC
Created attachment 663717 [details]
File: core_backtrace

Comment 5 Brian J. Murrell 2012-12-14 17:53:15 UTC
Created attachment 663718 [details]
File: dso_list

Comment 6 Brian J. Murrell 2012-12-14 17:53:17 UTC
Created attachment 663719 [details]
File: environ

Comment 7 Brian J. Murrell 2012-12-14 17:53:19 UTC
Created attachment 663720 [details]
File: limits

Comment 8 Brian J. Murrell 2012-12-14 17:53:20 UTC
Created attachment 663721 [details]
File: maps

Comment 9 Brian J. Murrell 2012-12-14 17:53:22 UTC
Created attachment 663722 [details]
File: open_fds

Comment 10 Brian J. Murrell 2012-12-14 17:53:23 UTC
Created attachment 663723 [details]
File: proc_pid_status

Comment 11 Brian J. Murrell 2012-12-14 17:53:25 UTC
Created attachment 663724 [details]
File: var_log_messages

Comment 12 Brian J. Murrell 2012-12-14 19:21:59 UTC
Just trying to start evolution.  Previously though I did have a disk full on /home situation which may have caused some writes to fail.

backtrace_rating: 4
Package: evolution-data-server-3.6.2-2.fc18
OS Release: Fedora release 18 (Spherical Cow)

Comment 13 Milan Crha 2012-12-17 13:50:40 UTC
Thanks for a bug report. It seems the file
  /home/brian/.config/evolution/sources/1354513998.2438.22@brian-laptop.source
is corrupt, or one before it, whatever ordering the evolution-source-registry process uses, thus it causes memory corruption. I suggest to move away whole:
  /home/brian/.config/evolution/sources
folder and then run evolution from scratch. It'll need to re-add all the accounts, but it should start without trouble. Other option is to try to find which .source files does the trouble, and remove only it. Note you can run the source registry process on its own, it resides in
   $ /usr/libexec/evolution-source-registry

Please let me know whether it helped. I would be interested in the broken .source file too, thus we might be able to fix the memory corruption bug. Thanks in advance.

Comment 14 Brian J. Murrell 2012-12-20 19:40:10 UTC
I don't seem to be reproducing this.  I suspect that removing my .config/evolution/sources got rid of whatever corruption there was.  Any corruption should have been limited to just empty files as a result of trying to write with an ENOSPC condition.

Comment 15 Milan Crha 2013-01-07 09:11:18 UTC
Thanks for the update. Do you mean that you got out of disk space in one moment, then you freed some space, cleared the sources folder and everything is back normal?

Comment 16 Brian J. Murrell 2013-01-07 12:53:28 UTC
That's correct, yes.

Comment 17 Milan Crha 2013-01-08 19:56:53 UTC
It seems you are right, the disk-full looks like a hard condition for this crash, because if I try to pass a zero-length file into evolution-source-registry, then it doesn't crash, neither valgrind claim any error. I also tried with a garbage file, which contained just part of a corect .source file, but no luck too, valgrind is quiet.

Comment 18 tkit 2013-02-21 13:11:21 UTC
upgrade fedora 18 ,reboot.

backtrace_rating: 4
Package: evolution-data-server-3.6.3-2.fc18
OS Release: Fedora release 18 (Spherical Cow)

Comment 19 Milan Crha 2013-03-14 07:06:01 UTC
Hi all, I see more and more users being affected by this issue, but it's hard to believe that all of you are out of disk space, which makes me wonder what else can cause this to happen for you.

Could anybody of you try the comment #13 investigation, please? Of course it's not in brian's home on respective machine, but you might see the file path in your backtraces, when you search there for "/home" (quotes for clarity only). 

I'd like to ask for that broken file, to try to reproduce it here. Thanks in advance.

Comment 20 Lynn Dixon 2013-04-27 07:40:57 UTC
Tried to add Exchange server to Evolution.  Filled in all the necessary forms, and clicked on "OK".  Evolution hung for about 10 minutes before I had to do a kill -9 on its processes.

backtrace_rating: 4
cmdline:        /usr/libexec/evolution-source-registry
crash_function: magazine_chain_pop_head
executable:     /usr/libexec/evolution-source-registry
kernel:         3.8.8-202.fc18.x86_64
package:        evolution-data-server-3.6.4-3.fc18
reason:         Process /usr/libexec/evolution-source-registry was killed by signal 11 (SIGSEGV)
uid:            500
ureports_counter: 1

Comment 21 Milan Crha 2013-07-01 09:49:17 UTC
This might be addressed by the bug #974296.

Comment 22 Fedora End Of Life 2013-12-21 09:54:48 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 23 Fedora End Of Life 2014-02-05 13:54:05 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.